MP3ROASTER(1)

NAME
mp3roaster - A Perl hack for burning audio CDs out of MP3/OGG/FLAC/WAVs

SYNOPSIS
mp3roaster [OPTION]... "MP3/OGG/FLAC/WAV files"

DESCRIPTION
mp3roaster A Perl hack for burning audio CDs out of MP3, OGG VORBIS and FLAC files. The main highlights of this application are an easy to use command line syntax and automatic volume leveling support for best audio CD quality.

ENVIRONMENT
MP3Roaster should run on all Unix like operating systems which have Perl and wodim installed. It has been developed on Debian GNU/Linux.

OPTIONS
All options have been imported, now we should add specific descriptions for each option.

-D, --dev
    CDR device to use

-s, --speed
    Burn speed

-d, --dummy
    Burn with laser off

-a, --dao
    Burn in disk-at-once (DAO) mode for gapless recording

-b, --burnfree
    Turn on Buffer Underrun Free writing

-t, --temp
    Temporary directory

-m, --mp3dec
    MP3 decoder to use

-l, --lowercase
    Convert filenames to lowercase

-S, --spaces
    Replace spaces with underscores

-B, --brackets
    Replace brackets with underscores

-q, --quotes
    Replace quotes with underscores

-Q, --questions
    Replace questionmarks with underscores

-n, --normalize
    Normalize WAV files before burning

-N, --no-normalize
    Don't normalize WAV files, even if --normalize is specified (either as a command line argument or in the configuratino file)

-y, --no-confirm
    Don't prompt for confirmation.

-w, --wodim-opts
    Specify options to pass to Wodim for CD recording

-v, --verbose
    Enable verbose output

-h, --help
    Show the help screen

-V, --version
    Show version and infos

RETURN VALUE
mp3roaster returns 0 on success, 1 on error.

DIAGNOSTICS
This has to be written yet.

EXAMPLES
Once correctly configured MP3Roaster is very easy to use, just launch it from the command line with a bunch of compressed audio files, here is a short example:

    % mp3roaster "Root Dance.mp3" Free\ Software.flac bar.ogg Decoded.wav

This will burn Root\ Dance.mp3, Free\ Software.flac bar.ogg and Decoded.wav on your audio CD preserving the song order as specified on the command line.

Here is another example showing the usage of command line options like the dummy option:

    % mp3roaster -d "Root Dance.mp3" Free\ Software.flac bar.ogg Decoded.wav

    This will do the same job as above but with the laser of your
    CD writer turned off, so no data will be really written.

You see MP3Roaster is really easy to use, this was one of my main goals while I've written the code: Keep it simple ;)

FILES
MP3Roaster can be configured through a system wide and a personal configuration file. When you run MP3Roaster it will first check for your personal configuration file in your home directory, if no one is found it will fall-back to the system wide configuration files placed in /etc.

By default MP3Roaster installs the configuration files in /etc/mp3roaster, but there are other possible file locations for the configuration file:

    . System wide configuration in /etc

        . /etc/mp3roaster/mp3roasterrc      (DEFAULT)
        . /etc/mp3roasterrc

    . Personal configuration in your home

        . ~/.mp3roaster/mp3roasterrc
        . ~/.mp3roasterrc

So if you want to have personal MP3Roaster configuration file just copy the system wide configuration file to your home directory and edit it.

CAVEHEATS
None actually.

BUGS
There may be some minor troubles regarding file names, feel free to report any bugs you may encounter (In fact you shouldn't).

NOTES
There are currrently no special notes.

SEE ALSO
wodim.

AUTHOR

Ivo Marino <eim@users.sourceforge.net>
Lorenzo Taylor <lorenzo1@users.sourceforge.net>

HISTORY
Take a look at the ChangeLog for now.